Bug 144698 - CAN-2005-0069 vim unsafe temporary file usage.
Summary: CAN-2005-0069 vim unsafe temporary file usage.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050109
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-10 19:23 UTC by Josh Bressers
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-12 10:37:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-10 19:23:09 UTC
*** This bug has been split off bug 144695 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.10
14:10 -------

Two insecure temporary file vulns have been reported to the debian BTS.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289560

The issues refer to the usage of temporary files using the process PID as the
"randomness".  I would not be surprised if this isn't the only scripts in vim
that do this.

Comment 1 Karsten Hopp 2005-01-12 10:37:03 UTC
FC-2/3 packages have been pushed and announced. FC-4 packages have been built


Note You need to log in before you can comment on or make changes to this bug.